Subject: Re: ($shell cd) result different if including cygwin/bin directory in path
From: Omar BELKHODJA <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Apr 2006 17:34:44 +0200

Thank you Dave, I understand now what is happening. I changed the name
of the sh.exe to sh_.exe and now everything is working. I think that
make searches first for the sh.exe file, and if it doesn't exist, it
uses C:\WINDOWS\system32\cmd.exe
1) The SHELL variable is not set in my environment, but this doesn't
have a different behaviour when it is set or not. I have tried with
C:\WINDOWS\system32\cmd.exe but it is not better.
2) The MAKE_MODE variable is supported, but the result is also bad
because all the paths are changed to /cygdrive/... if I set the variable
to win32, and if I set it to unix, we need the sh.exe, that gives a bad
return value with 'cd'.

Regards,
Omar

Dave Korn wrote:
> 
> On 11 April 2006 15:26, Omar BELKHODJA wrote:
> 
> > Sorry Dave, but I don't understand which command you are talking about.
> > Are  talking about 'cd' ? I don't see any 'cd' command in the cygwin/bin
> > directory. If there was a 'cd' comand in the cygwin/bin directory, when
> > I type 'cd' directly from the DOS command prompt, I should have the same
> > empty string that I have from the ($shell cd), but this is not the case.
> 
>   Oh, of course, it's a builtin in both.  Doh!  It's the 'sh' executable that
> is getting in the way, not 'cd' at all.  Make looks for 'sh' in order to run
> the ($shell ...) command.
> 
>   1)  Do you have SHELL set in your environment vars?
>   2)  Are you using a version of make that understands the MAKE_MODE variable
> or the --win32 and --unix flags?
> 
>     cheers,
>       DaveK
> --
> Can't think of a witty .sigline today....
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/